Skip to main content
PATCH
Update an Operation Route

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string<uuid>
required

The unique identifier of the associated Ledger.

operation_route_id
string<uuid>
required

The unique identifier of the Operation Route that you want to retrieve.

Body

application/json
title
string

Short text summarizing the purpose of the operation. Used as an entry note for identification.

Maximum string length: 255
description
string

Detailed description of the Operation Route purpose and usage.

Maximum string length: 250
code
string
deprecated

An external reference used to identify the operation route. Deprecated: use rubric codes inside accountingEntries instead.

Maximum string length: 100
account
object

Defines the rule for selecting the account that will participate in the operation (debit or credit).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Constraints: keys must be at most 100 characters; string values at most 2000 characters. Nested objects are not allowed (values must be string, number, or boolean), the structure may not exceed a maximum depth of 10, and a maximum of 100 keys is permitted.

accountingEntries
object

Accounting entries grouped by transaction action type. Each action maps to a pair of debit and credit rubrics.

Response

Indicates that the resource was successfully created and the operation was completed as expected.

id
string<uuid>

The unique identifier of the Operation Route.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

The unique identifier of the Ledger.

title
string

Short text summarizing the purpose of the operation. Used as an entry note for identification.

code
string
deprecated

An external reference used to identify the operation route. Deprecated: use rubric codes inside accountingEntries instead.

Maximum string length: 100
description
string

Detailed description of the Operation Route purpose and usage.

operationType
enum<string>

The type of the Operation Route. Use bidirectional when the route can operate in both directions.

Available options:
source,
destination,
bidirectional
accountingEntries
object

Accounting entries grouped by transaction action type. Each action maps to a pair of debit and credit rubrics.

account
object

Defines the rule for selecting the account that will participate in the operation (debit or credit).

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Constraints: keys must be at most 100 characters; string values at most 2000 characters. Nested objects are not allowed (values must be string, number, or boolean), the structure may not exceed a maximum depth of 10, and a maximum of 100 keys is permitted.